#ifndef SCANNER_PORT_H
#define SCANNER_PORT_H

#if defined(__AROS__)
#define KPrintF bug
#define DEBUG 1
#include <aros/debug.h>
#include <stdio.h>
#endif

typedef enum 
{
	Open_Failure = 0,
	Open_SCSI,
	Open_USB
} OpenRetVals;

extern OpenRetVals  openDriverIo(const char* dname,const int unit,struct MsgPort *Port);
extern void closeDriverIo(void);

extern struct IOStdReq* waitForIOReq(void);
extern int    isSCSI(void);

extern int  obtainIoHandle(void);
extern void releaseIoHandle(int hd);
extern void doScannerIo(int hd,short cmd,void* data,int* data_len,short* status);

#endif
