#ifndef SANESCSI_H
#define SANESCSI_H

#include <devices/scsidisk.h>
#include <sane/sanei_scsi.h>

struct scsiHandler
{
  struct scsiHandler* nextHandler;

  int                      IoHandle;
  SANEI_SCSI_Sense_Handler handler;
  void*                    handler_arg;

  struct SCSICmd           Cmd;         /* where the actual SCSI command goes */
  UBYTE                    Sense[20];   /* buffer for request sense data */
  int                      io_Len;
  short                    io_Status;

};

#endif
