#include <stdlib.h>
#include <stdio.h>
#include <proto/icon.h>
#include <proto/exec.h>

#define BACKEND_NAME "UMax"

extern int testStart(char **toolTypes);
struct Library *IconBase;

int main(int argc, char **argv)
{
  int    status;
  char** toolTypes;
  int    i;
  char*  str;

  IconBase = OpenLibrary("icon.library", 10);

  if( !(toolTypes = calloc(argc,sizeof(char**))) )
    return 100;
  
  for( i = 0 ; i < argc-1 ; i++ )
    toolTypes[i] = argv[i+1];
    
  if( str = FindToolType(toolTypes,"debug") )
  {
    FILE* fp;
    
    if( fp = fopen("ENV:SANE_DEBUG_"BACKEND_NAME,"w") )
    {
      fputs(str,fp);
      fclose(fp);
    }
  }
  
  status = testStart(toolTypes);

  remove("ENV:SANE_DEBUG_"BACKEND_NAME);

  free(toolTypes);

  return status;
}
