#include <exec/io.h>

#include <sane/sanei_pio.h>

#include <DriverIo.h>

SANE_Status sanei_pio_open(const char* dev, int* fd)
{
  if( *fd = obtainIoHandle() )
    return SANE_STATUS_GOOD;
  else
    return SANE_STATUS_INVAL;
}

void sanei_pio_close(int fd)
{
  releaseIoHandle(fd);
}

int sanei_pio_read(int fd, u_char* buf,int n)
{
  short status;

  doScannerIo(fd,CMD_READ,buf,&n,&status);

  if( status )
    return -1;
  else
   return n;
}

int sanei_pio_write(int fd, const u_char* buf, int n)
{
  short status;

  doScannerIo(fd,CMD_WRITE,buf,&n,&status);

  if( status )
    return -1;
  else
    return n;
}
